Skip to main content
POST
/
webhooks
/
{webhook_id}
/
requests
/
{request_id}
/
retry
Retry webhook request
curl --request POST \
  --url https://api.dnsradar.dev/webhooks/{webhook_id}/requests/{request_id}/retry \
  --header 'X-Api-Key: <api-key>'
{
  "id": "req_abc123...",
  "webhook_id": "whk_abc123...",
  "event_id": "evt_abc123...",
  "created": "2023-11-07T05:31:56Z",
  "status": "PENDING",
  "retries": 0,
  "delivered": "2023-11-07T05:31:56Z",
  "status_code": 200,
  "response_body": "accepted",
  "last_attempt": "2023-11-07T05:31:56Z"
}
This endpoint allows you to retry the delivery of a specific webhook request that have failed previously.
Upon calling this endpoint, the system will attempt to resend the webhook payload to the original URL using the same method and headers as before.
This is useful for recovering from temporary issues that may have caused the initial delivery to fail.
We only allow to retry once every 30 seconds to avoid any abuses.

Authorizations

X-Api-Key
string
header
required

API key used to authenticate yourself on DNSRadar. Obtain your API key from your DNSRadar dashboard.

Path Parameters

webhook_id
string
required

Webhook UUID (starts with 'whk_')

request_id
string
required

Request UUID (starts with 'req_')

Response

Request retried successfully

Record of a webhook execution

id
string

Request identifier with 'req_' prefix

Example:

"req_abc123..."

webhook_id
string

UUID of the associated webhook

Example:

"whk_abc123..."

event_id
string | null

UUID of the associated event

Example:

"evt_abc123..."

created
string<date-time>

Datetime when the webhook request was created in ISO 8601 format

status
enum<string>

Current status of the webhook request

Available options:
PENDING,
DELIVERED,
RETRYING,
FAILED
retries
integer

Number of retry attempts made

Example:

0

delivered
string<date-time> | null

Datetime when the webhook was successfully delivered in ISO 8601 format

status_code
integer | null

HTTP status code from the last delivery attempt

Example:

200

response_body
string | null

Response body from the last delivery attempt (truncated to 4000 chars)

Example:

"accepted"

last_attempt
string<date-time> | null

Datetime when the webhook was sent for the last time, in ISO 8601 format